Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.convert
Interface IntervalConverter

All Superinterfaces:
  Converter

    public interface IntervalConverter

extends Converter

IntervalConverter defines how an object is converted to an interval.

Since:
  1.0
Author:
  Brian S O'Neill, Stephen Colebourne

Method Summary
`boolean` | `isReadableInterval(java.lang.Object object, Chronology chrono)` Checks if the input is a ReadableInterval.
`void` | `setInto(ReadWritableInterval writableInterval, java.lang.Object object, Chronology chrono)` Extracts interval endpoint values from an object of this converter's type, and sets them into the given ReadWritableInterval.

Methods inherited from interface org.joda.time.convert.Converter
`getSupportedType`

Method Detail

### isReadableInterval

    boolean isReadableInterval(java.lang.Object object,
                               Chronology chrono)

  Checks if the input is a ReadableInterval.

  If it is, then the calling code should cast and copy the fields directly.

  Parameters:
    `object` - the object to convert, must not be null
    `chrono` - the chronology to use, may be null
  Returns:
    true if the input is a ReadableInterval
  Throws:
    `java.lang.ClassCastException` - if the object is invalid

### setInto

    void setInto(ReadWritableInterval writableInterval,
                 java.lang.Object object,
                 Chronology chrono)

  Extracts interval endpoint values from an object of this converter's type, and sets them into the given ReadWritableInterval.

  Parameters:
    `writableInterval` - interval to get modified, not null
    `object` - the object to convert, must not be null
    `chrono` - the chronology to use, may be null
  Throws:
    `java.lang.ClassCastException` - if the object is invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD